package com.example.calc

import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.LinearLayout
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class CalcLinearCode : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        //  メインレイアウトの作成・設定
        val layout = LinearLayout(this)
        layout.orientation = LinearLayout.VERTICAL
        setContentView(layout)

        //  サブレイアウト1　数値入力用のEditText配置
        val layout_sub1 = LinearLayout(this)
        layout_sub1.orientation = LinearLayout.HORIZONTAL

        //  サブレイアウト2　加算ボタン、減算ボタン配置用
        val layout_sub2 = LinearLayout(this)
        layout_sub2.orientation = LinearLayout.HORIZONTAL

        //  ビューの生成
        val editText1 = EditText(this)  //数値入力
        val editText2 = EditText(this)  //数値入力
        val textView = TextView(this)   //結果表示
        val button1 = Button(this)  //加算ボタン
        val button2 = Button(this)  //減算ボタン

        //  テキスト設定
        editText1.setText("100")
        editText2.setText("200")
        textView.text = "答え"
        textView.textSize = 20f
        button1.text = "Add"
        button2.text = "Sub"

        //  レイアウトにビューを追加
        //  サブレイアウト1にEditTextを追加し、メインレイアウトにサブレイアウト1を追加
        layout_sub1.addView(editText1)
        layout_sub1.addView(editText2)
        layout.addView(layout_sub1)
        //  メインレイアウトにTextViewを追加
        layout.addView(textView)
        //  サブレイアウト2にButtonを追加し、メインレイアウトにサブレイアウト2を追加
        layout_sub2.addView(button1)
        layout_sub2.addView(button2)
        layout.addView(layout_sub2)

        //  ボタン　クリック時の処理
        //  Addボタン　加算処理
        button1.setOnClickListener {
            textView.text = (editText1.text.toString().toInt() + editText2.text.toString().toInt()).toString()
        }
        //  Subボタン　減算処理
        button2.setOnClickListener {
            textView.text = (editText1.text.toString().toInt() - editText2.text.toString().toInt()).toString()
        }
    }
}

