package com.example.calc;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class CalcLinearCodeJava extends AppCompatActivity {
    TextView textView;
    EditText editText1, editText2;
    Button button1, button2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //  メインレイアウトの作成・設定
        LinearLayout layout = new LinearLayout(this);
        layout.setOrientation(LinearLayout.VERTICAL);
        setContentView(layout);

        //  サブレイアウト1　数値入力用のEditText配置
        LinearLayout layout_sub1 = new LinearLayout(this);
        layout_sub1.setOrientation(LinearLayout.HORIZONTAL);

        //  サブレイアウト2　加算ボタン、減算ボタン配置用
        LinearLayout layout_sub2 = new LinearLayout(this);
        layout_sub2.setOrientation(LinearLayout.HORIZONTAL);

        //  ビューの生成
        editText1 = new EditText(this); //数値入力
        editText2 = new EditText(this); //数値入力
        textView = new TextView(this);  //結果表示
        button1 = new Button(this); //加算ボタン
        button2 = new Button(this); //減算ボタン

        //  テキスト設定
        editText1.setText("100");
        editText2.setText("200");
        textView.setText("答え");
        textView.setTextSize(20);
        button1.setText("Add");
        button2.setText("Sub");

        //  レイアウトにビューを追加
        //  サブレイアウト1にEditTextを追加し、メインレイアウトにサブレイアウト1を追加
        layout_sub1.addView(editText1);
        layout_sub1.addView(editText2);
        layout.addView(layout_sub1);
        //  メインレイアウトにTextViewを追加
        layout.addView(textView);
        //  サブレイアウト2にButtonを追加し、メインレイアウトにサブレイアウト2を追加
        layout_sub2.addView(button1);
        layout_sub2.addView(button2);
        layout.addView(layout_sub2);

        //  ボタン　クリック時の処理
        //  Addボタン　加算処理
        button1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                textView.setText((Integer.parseInt(editText1.getText().toString()) + Integer.parseInt(editText2.getText().toString())) + "");
            }
        });
        //  Subボタン　減算処理
        button2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                textView.setText((Integer.parseInt(editText1.getText().toString()) - Integer.parseInt(editText2.getText().toString())) + "");
            }
        });
    }
}

