package com.example.logsample

import android.os.Bundle
import android.util.Log
import android.widget.LinearLayout
import androidx.appcompat.app.AppCompatActivity

class LifeCycle : AppCompatActivity() {
    val TAG = "MyApp"

    public override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        Log.d(TAG, "Activity#onCreate:" + savedInstanceState)
        val linearLayout = LinearLayout(this)
        linearLayout.orientation = LinearLayout.VERTICAL
        setContentView(linearLayout)
    }

    public override fun onRestart() {
        super.onRestart()
        Log.d(TAG, "Activity#onRestart")
    }

    public override fun onStart() {
        super.onStart()
        Log.d(TAG, "Activity#onStart")
    }

    public override fun onResume() {
        super.onResume()
        Log.d(TAG, "Activity#onResume")
    }

    public override fun onPause() {
        super.onPause()
        Log.d(TAG, "Activity#onPause")
    }

    public override fun onStop() {
        super.onStop()
        Log.d(TAG, "Activity#onStop")
    }

    public override fun onDestroy() {
        super.onDestroy()
        Log.d(TAG, "Activity#onDestroy")
    }
}
